<?xml version="1.0" encoding="UTF-8"?>
<jube>
  <include-path>
  <path tag="jureca">../platforms/JURECA</path>
  <path tag="jureca_boo">../platforms/JURECA_BOOSTER</path>
  <path tag="claix">../platforms/CLAIX</path>
  <path tag="claix2018">../platforms/CLAIX2018</path>
  <path tag="claix_knl">../platforms/CLAIX_KNL</path>
  <path tag="hazelhen">../platforms/HAZELHEN</path>
  <path tag="supermucng">../platforms/SUPERMUCNG</path>
  </include-path>

  <benchmark name="FLEUR_FeIr" outpath="FLEUR_bench">
    <comment>FLEUR FeIr benchmark</comment>
    
    <!-- Job configuration -->
    <parameterset name="systemParameter" init_with="job_config.xml"> 
    </parameterset>

    <!-- Job submission -->
    <parameterset name="executeset" init_with="platform.xml">
    </parameterset>

    <!-- Load files -->
    <fileset name="jobfiles" init_with="platform.xml">
      <copy>input_files/inp.xml</copy>
      <copy>input_files/kpts.xml</copy>
    </fileset>

    <!-- Substitute jobfile -->
    <substituteset name="executesub" init_with="platform.xml">
    </substituteset>

    <!-- Operation -->
    <step name="submit">
      <use>systemParameter</use> 
      <use>executeset</use>
      <use>jobfiles,executesub</use> 
      <do done_file="$ready_file">$submit $submit_script</do> 
      <do>rm -f broyd* pot* cdn* wkf2 stars mix*</do> 
      <do> tail -150 out > juDFT_times </do>
    </step>

    <!-- Extract time of execution -->
    <patternset name="metrics_time" >
       <pattern name="time_tot" type="float">0 $jube_pat_bl Total Run $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_init" type="float">Initialization $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_stden" type="float">generation of start-density $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_iter" type="float">1 $jube_pat_bl Iteration $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_vgen" type="float">generation of potential $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_eigen" type="float">3  eigen $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_sph" type="float">6 spherical setup $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_nsph" type="float">6 non-spherical setup $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_diag" type="float">Diagonalization $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_char" type="float">generation of new charge densi $jube_pat_bl ${jube_pat_fp}sec</pattern>
       <pattern name="time_mix" type="float">3  Mixing $jube_pat_bl ${jube_pat_fp}sec</pattern>
    </patternset>

    <analyser name="analyse">
       <analyse step="submit">
          <file use="metrics_time">juDFT_times</file>
       </analyse>
    </analyser>

    <result>
       <use>analyse</use>
       <table name="timing" style="pretty" sort="number">
          <column>nodes</column>
          <column>taskspernode</column>
          <!--<column>threadspertask</column> -->
          <column>time_tot</column>
          <column>time_init</column>
          <column>time_stden</column>
          <column>time_iter</column>
          <column>time_vgen</column>
          <column>time_eigen</column>
          <column>time_sph</column>
          <column>time_nsph</column>
          <column>time_diag</column>
          <column>time_char</column>
          <column>time_mix</column>
       </table>
    </result>

  </benchmark>
</jube>
